import express, {Request, Response, Router} from "express";
import {sendError} from "@utils/error";

const app: Router = express.Router();

app.use("*", (req: Request, res: Response) => sendError(res, 404, 0, "The provided route could not be found"));

export default app;